openSUSE Security Update : mcabber (openSUSE-2016-1502)

Medium Nessus Plugin ID 96064


The remote openSUSE host is missing a security update.


This update for mcabber fixes the following issues :

- Update to version 1.0.4 (changes since 1.0.2) :

- Check the origin of roster pushes (boo#1014976, CVE-2015-8688 (Gajim), ption.html)

- Link with the tinfo library.

- Fix default modules directory on OpenBSD.

- Create the history log directory if it doesn't exist.

- [OTR] Do not send empty subjects.

- [UI] /set does not display password values anymore.

- [MUC] Use nick to set the role.

- Misc help/documentation updates.


Update the affected mcabber packages.

See Also

Plugin Details

Severity: Medium

ID: 96064

File Name: openSUSE-2016-1502.nasl

Version: $Revision: 3.1 $

Type: local

Agent: unix

Published: 2016/12/22

Modified: 2016/12/22

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 5.8

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:N


Base Score: 5.4

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:L/I:L/A:N

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:mcabber, p-cpe:/a:novell:opensuse:mcabber-debuginfo, p-cpe:/a:novell:opensuse:mcabber-debugsource, p-cpe:/a:novell:opensuse:mcabber-devel, cpe:/o:novell:opensuse:42.2

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2016/12/21

Reference Information

CVE: CVE-2015-8688